Loading...
Searching...
No Matches
Opm::BlackOilEnergyExtensiveQuantities< TypeTag, false > Class Template Reference

## Public Member Functions

void | updateEnergy (const ElementContext &, unsigned, unsigned)
template<class Context, class BoundaryFluidState>
void | updateEnergyBoundary (const Context &, unsigned, unsigned, const BoundaryFluidState &)
const Evaluation & | energyFlux () const

## Static Public Member Functions

template<class FluidState>
static void | updateEnergy (Evaluation &, const unsigned &, const unsigned &, const unsigned &, const IntensiveQuantities &, const IntensiveQuantities &, const FluidState &, const FluidState &, const Scalar &, const Scalar &, const Scalar &)
template<class BoundaryFluidState>
static void | updateEnergyBoundary (Evaluation &, const IntensiveQuantities &, unsigned, unsigned, unsigned, Scalar, const BoundaryFluidState &)

The documentation for this class was generated from the following file:

- opm/models/blackoil/blackoilenergymodules.hh